/*
	CSmartDesktop: subclass of CDesktop that provides some additional
		features. These are:
		
		Support for modal windows. CSmartWindow also required.
	
		Support for non-windows. These window _must_ have
		a NIL refcon or the program will crash. This works
		fine for the Inside Out debugger.
*/

#define _H_CSmartDesktop
#include "CDesktop.h"
#include "defs.h"

struct CSmartDesktop : CDesktop
{
	virtual void ISmartDesktop(CBureaucrat *aSupervisor);
	virtual void DispatchClick(EventRecord *macEvent);
	virtual void DispatchCursor(Point where, RgnHandle mouseRgn);
};