/******************************************************************************
CStaticInteger.h

SUPERCLASS = CStaticString

******************************************************************************/

#include "CStaticInteger.h"
#include "defs.h"

/******************************************************************************/
void CStaticInteger::IStaticInteger(CView *anEnclosure, CBureaucrat *aSupervisor,
					Int16 aWidth, Int16 aHeight, Int16 aHEncl, Int16 aVEncl,
					SizingOption aHSizing, SizingOption aVSizing, Int32 initValue)
{
	Str255	numString;
	
	NumToString( initValue, numString);
	CStaticString::IStaticString( anEnclosure, aSupervisor, aWidth, aHeight,
				aHEncl, aVEncl, aHSizing, aVSizing, numString);

}	/* CStaticInteger::IStaticInteger */
/******************************************************************************/
void CStaticInteger::SetIntValue( Int32	aValue)
{
	Str255	numString;
	
	NumToString( aValue, numString);
	CStaticString::SetStaticString( numString);

}	/* CStaticInteger::SetIntValue */
/******************************************************************************/
