/* Standard constants and definitions */

#ifndef __DEFS__

#define __DEFS__

#ifdef THINK_C
#define virtual
#define const
#define volatile
#endif

typedef	char	Int8, *Int8Ptr, **Int8Handle;
typedef unsigned char uInt8, *uInt8Ptr, **uInt8Handle;
typedef	short	Int16, *Int16Ptr, **Int16Handle;
typedef unsigned short uInt16, *uInt16Ptr, **uInt16Handle;
typedef	long	Int32, *Int32Ptr, **Int32Handle;
typedef unsigned long uInt32, *uInt32Ptr, **uInt32Handle;
typedef	void	*voidPtr, **voidHandle;

typedef unsigned char Str20[22];

#define nil				(0L)
#define NIL				(0L)
#define inFront			((WindowPtr)-1L)


/* ASCII */
#define	kCR 				13
#define	kTab				9
#define	kEnter				3
#define kLeftArrow			28
#define kRightArrow			29
#define kUpArrow			30
#define kDownArrow	 		31
#define kBackspace			8
#define	kClearKey			27


#define		MIN(x,y)	((x) <= (y) ? (x) : (y))
#define		MAX(x,y)	((x) >= (y) ? (x) : (y))
#define		ODD(x)		( (x) & 1)
#define		EVEN(x)		(! ((x) & 1))
#define		ABS(x)		( x < 0 ? - (x) : (x))

#define SetHiliteMode	asm {bclr #7,0x938}

/*  words of a long  */

#define hiword(x)       ((short *) &(x))[0]
#define loword(x)       ((short *) &(x))[1]
/*  bytes of a word  */

#define hibyte(x)       ((char *) &(x))[0]
#define lobyte(x)       ((char *) &(x))[1]

/* make TAO CopyPString & ConcatPStrings usesable */

#define pStrCopy( src, dest) CopyPString((StringPtr) src, (StringPtr) dest)
#define pConcat( dest, src) ConcatPStrings((StringPtr) dest, (StringPtr) src)

#if sizeof(double)==12
  #define _MC68881_
#endif



#endif