#pragma once

#include "CGlobalMouseTask.h"

class CDragAcrossTable;

class CDragAcrossTask : public CGlobalMouseTask
{
	public:
	
		CDragAcrossTable* itsFromTable;

		CDragAcrossTable* itsToTable;
		Point itsToBoundaries;

		RgnHandle itsSelectionRgn;
		Boolean isSelectionRgnVisible;
		
	public:
	
		void IDragAcrossTask
			( CDragAcrossTable* aTable
			, RgnHandle aSelectionRgn
			, short aNameIndex );
		virtual void Dispose( void );

		virtual void BeginTracking( Point startPt );
		virtual void KeepTracking( Point currPt, Point prevPt, Point startPt );
		virtual void EndTracking( Point currPt, Point prevPt, Point startPt );

		virtual CDragAcrossTable* FindHitTable( Point mousePt );
		virtual void FindHitBoundaries
			( CDragAcrossTable* aTable
			, Point hitPt
			, Point* hitBoundaries );		

	protected:

		virtual void DrawSelectionRgn( Boolean showRgn );
		virtual Boolean AutoScroll( CDragAcrossTable* aTable, Point hitPt );
};
