/* 

	CCTBDesktop.h
	
	CommToolbox compatible Desktop.

	SUPERCLASS = CDesktop / CFWDesktop.
	
	Copyright  1992 Romain Vignes. All rights reserved.

 */

#define _H_CCTBDesktop


#define USE_FLOATING_WINDOWS	1	/* Are we using floating windows ? (0/1)*/


#if USE_FLOATING_WINDOWS
#include <CFWDesktop.h>				/* Interface for its superclass */
#else
#include <CDesktop.h>				/* Interface for its superclass */
#endif


/* Forward declarations */

class CBureaucrat;


/* Class definition */

#if USE_FLOATING_WINDOWS
class CCTBDesktop : public CFWDesktop	{
#else
class CCTBDesktop : public CDesktop	{
#endif

public:

	void			ICTBDesktop(CBureaucrat *aSupervisor);
	virtual void	DispatchClick(EventRecord *macEvent);
};


/*  */