/******************************************************************************
 CAbstractBuffer.cp

		Interface for CAbstractBuffer class.
		
	SUPERCLASS = CObject
	
	Copyright  1994-95 Ithran Einhorn. All rights reserved.
 ******************************************************************************/

#pragma once

#include "CAbstractBuffer.h"

void CAbstractBuffer::IAbstractBuffer(void)
{
}

/** Text Specification **/

void	CAbstractBuffer::SetTextPtr(Ptr textPtr, long numChars)
{
	SubclassResponsibility();
}

void	CAbstractBuffer::UseTextHandle(Handle textHandle)
{
	SubclassResponsibility();
}

void	CAbstractBuffer::InsertTextPtr(Ptr insertPtr, long insertLen)
{
	SubclassResponsibility();
}

Handle	CAbstractBuffer::CopyTextRange(long start, long end)
{
	SubclassResponsibility();
	return NULL;
}

void	CAbstractBuffer::ReplaceSelection(Ptr replacePtr, long replaceLen)
{
	SubclassResponsibility();
}

/** Accessing **/
Handle	CAbstractBuffer::GetTextHandle(void)
{
	SubclassResponsibility();
	return NULL;
}

Handle	CAbstractBuffer::GetRawTextHandle(void)
{
	SubclassResponsibility();
	return NULL;
}
	
long	CAbstractBuffer::FindLine(long charPos)
{
	SubclassResponsibility();
	return 0L;
}

long	CAbstractBuffer::GetLineStart(long line)
{
	SubclassResponsibility();
	return 0L;
}

long	CAbstractBuffer::GetLineEnd(long line)
{
	SubclassResponsibility();
	return 0L;
}

short	CAbstractBuffer::GetLineLength(long line)
{
	SubclassResponsibility();
	return 0;
}

long	CAbstractBuffer::GetLength(void)
{
	SubclassResponsibility();
	return 0L;
}

long	CAbstractBuffer::GetNumLines(void)
{
	SubclassResponsibility();
	return 0L;
}

void	CAbstractBuffer::GetSelection(long *selStart, long *selEnd)
{
	SubclassResponsibility();
}

void	CAbstractBuffer::GetCharBefore(long *aPosition, tCharBuf charBuf)
{
	SubclassResponsibility();
}

void	CAbstractBuffer::GetCharAfter(long *aPosition, tCharBuf charBuf)
{
	SubclassResponsibility();
}

long	CAbstractBuffer::GetGapPosition(void)
{
	SubclassResponsibility();
	return 0L;
}

long	CAbstractBuffer::GetGapLength(void)
{
	SubclassResponsibility();
	return 0L;
}

