/*

  CIsleResFile.h
  Superclass:	CIsleFile
 
 	CResFile (Copyright  1989 Symantec Corporation. All rights reserved.)
 	 transplanted into CIsleFile
 
  April 2, 1992  isl
  
*/

#define _H_CIsleResFile

#include	<CIsleFile.h>							//	Interface for its superclass

#define		kResource		'rsrc'				//	The resource file type


/*=====================*/
/*===---------------===*/

class CIsleResFile : public CIsleFile
Begin
public:
	short						refNum;						//	Reference number when open

	
	void						IResFile					//	Initialize the object
				(void													//	No arguments
				);
	
	virtual void		Open							//	Open the file's resource fork
				(	SignedByte permission				//	Access permissions
				);
	virtual void		Close							//	Close the file's resource fork
				(	void												//	No arguments
				);
	virtual void		MakeCurrent				//	Make this the current resource file
				(	void												//	No arguments
				);
	virtual Boolean	IsOpen						//	Is the resource fork of this open?
				( void												//	No arguments
				);
	virtual Boolean	HasResFork				//	Does this file have a resource fork?
				( void												//	No arguments
				);
	virtual void		CreateNew					//	Creates a new resource fork and a file, if necessary
				(	OSType 			creator,				//	File's creator
					OSType			fType						//	File's type
				);
	virtual	Boolean	ExistsOnDisk			//	Does the file witha resource fork exist?
				(	void												//	No arguments
				);
	virtual void		Update						//	Update the resource fork to disk
				( void												//	No arguments
				);

End;

/*===---------------===*/
/*=====================*/