/***
 * CADSPInPane
 *
 *		Pane to display input from ADSP
 *
 *		Copyright  1992 Bernard Bernstein. All rights reserved.
 ***/ 

#pragma once

#include "CEditText.h"

class CMessenger;

class CADSPInPane : public CEditText {

public:

	void		IADSPInPane(
						CView		*anEnclosure,
						CBureaucrat	*aSupervisor,
						CMessenger	*aMessenger);
						
	void		GetData(void);
	void		HandleInEvent(EventRecord *anEvent);
	void		HandleInKey(EventRecord *anEvent);

private:

	CMessenger	*itsMessenger;

};