

#define	_H_CDictTestDoc

#include "CSmartDocument.h"

struct CDictTestDoc : CSmartDocument
{
	/* instance variables */
	
	struct CTestDict		*itsDictionary;
	struct CSmartEditText	*itsKeyText, *itsValueText;
	struct CStaticInteger	*itsItemCount;
	struct CPascalString	*utilString;

	/* public methods */
	
	void		IDictTestDoc(CBureaucrat *aSupervisor, Boolean printable);
	void		Dispose();
	void		DoCommand(long theCommand);
	void		NewFile(void);
	void		UpdateMenus( void);
	
	/* private methods */
	
	void		BuildWindow( void);
	void		AddAssociation( void);
	void		RemoveAssociation( void);
	void		LookupAssociation( void);
	void		AddLots( void);
	Boolean		ConfirmClose(Boolean quitting);

};